# :enddoc:
# Copyright (C) 2012, Eric Wong <normalperson@yhbt.net>
# License: AGPLv3 or later (https://www.gnu.org/licenses/agpl-3.0.txt)
# This is the code behind omgdav-setup(1)
require "omgdav"
require "rubygems" # we use Gem.load_path

module OMGDAV::Setup
  def self.run(argv = ARGV.dup)
    migdir = "#{File.dirname(__FILE__)}/migrations"
    argv << "-m"
    argv << migdir
    ARGV.replace(argv)
    load Gem.bin_path("sequel", "sequel")
  end
end
